Make search result calculation even more robust

7 jobs for v0.11.6 in 9 minutes and 36 seconds (queued for 1 second)
latest
Status Job ID Name Coverage
  Test
passed #666872001
lint

00:02:31

passed #666872002
test

00:02:08

40.0%
 
  Build
passed #666872003
build

00:02:04

failed #666872004
allowed to fail
build_flatpak

00:02:16

 
  Deploy
passed #666872005
deploy_pypi

00:01:01

 
  Verify
passed #666872006
verify_deploy

00:01:44

 
  Release
passed #666872007
publish_release

00:02:03

 
Name Stage Failure
failed
build_flatpak Build
$ ./flatpak_build.sh
+ REPO=/repo
+ APPID=app.sublimemusic.SublimeMusic
+ rm -rf flatpak-builder-tools
+ git clone https://github.com/flatpak/flatpak-builder-tools.git
Cloning into 'flatpak-builder-tools'...
+ python3 ./flatpak-builder-tools/pip/flatpak-pip-generator --requirements-file=flatpak-requirements.txt --output pypi-dependencies
Requirements modules is not installed. Run "pip install requirements-parser"
ERROR: Job failed: exit code 1